Package ru.bitel.bgbilling.modules.bill.common.bean

# Class AccountContractReport

java.lang.Object
ru.bitel.common.model.ContractId
ru.bitel.bgbilling.modules.bill.common.bean.AccountContractReport

All Implemented Interfaces:
  `ContractIdable`

public class AccountContractReport extends ContractId

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AccountContractReport()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getContractComment()`
  `String`
  `getContractTitle()`
  `BigDecimal`
  `getSaldoCreditIn()`
  `BigDecimal`
  `getSaldoCreditOut()`
  `BigDecimal`
  `getSaldoDebetIn()`
  `BigDecimal`
  `getSaldoDebetOut()`
  `BigDecimal`
  `getTurnoverCredit()`
  `BigDecimal`
  `getTurnoverDebet()`
  `void`
  `setContractComment(String contractComment)`
  `AccountContractReport`
  `setContractId(int contractId)`
  `void`
  `setContractTitle(String contractTitle)`
  `void`
  `setSaldoCreditIn(BigDecimal saldoCreditIn)`
  `void`
  `setSaldoCreditOut(BigDecimal saldoCreditOut)`
  `void`
  `setSaldoDebetIn(BigDecimal saldoDebetIn)`
  `void`
  `setSaldoDebetOut(BigDecimal saldoDebetOut)`
  `void`
  `setTurnoverCredit(BigDecimal turnoverCredit)`
  `void`
  `setTurnoverDebet(BigDecimal turnoverDebet)`

  ### Methods inherited from class ru.bitel.common.model.ContractId

  `getContractId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AccountContractReport

    public AccountContractReport()

- ## Method Details

  - ### setContractId

    public AccountContractReport setContractId(int contractId)
    Overrides:
      `setContractId` in class `ContractId`

  - ### getContractTitle

    public String getContractTitle()

  - ### setContractTitle

    public void setContractTitle(String contractTitle)

  - ### getContractComment

    public String getContractComment()

  - ### setContractComment

    public void setContractComment(String contractComment)

  - ### getSaldoCreditIn

    public BigDecimal getSaldoCreditIn()

  - ### setSaldoCreditIn

    public void setSaldoCreditIn(BigDecimal saldoCreditIn)

  - ### getSaldoDebetIn

    public BigDecimal getSaldoDebetIn()

  - ### setSaldoDebetIn

    public void setSaldoDebetIn(BigDecimal saldoDebetIn)

  - ### getTurnoverCredit

    public BigDecimal getTurnoverCredit()

  - ### setTurnoverCredit

    public void setTurnoverCredit(BigDecimal turnoverCredit)

  - ### getTurnoverDebet

    public BigDecimal getTurnoverDebet()

  - ### setTurnoverDebet

    public void setTurnoverDebet(BigDecimal turnoverDebet)

  - ### getSaldoCreditOut

    public BigDecimal getSaldoCreditOut()

  - ### setSaldoCreditOut

    public void setSaldoCreditOut(BigDecimal saldoCreditOut)

  - ### getSaldoDebetOut

    public BigDecimal getSaldoDebetOut()

  - ### setSaldoDebetOut

    public void setSaldoDebetOut(BigDecimal saldoDebetOut)